# integral_constant Struct Template Reference

Inheritance diagram for integral_constant:

List of all members.

### template<typename _Tp, _Tp __v>
struct std::tr1::integral_constant< _Tp, __v >

## Public Types

- typedef integral_constant<
  _Tp, __v > type
- typedef _Tp value_type

## Static Public Attributes

- static const _Tp value

The documentation for this struct was generated from the following file:

- type_traits